## phonon 4.7.1

=== CMakeLists.txt ===
project(Phonon)

cmake_minimum_required(VERSION 2.6.9 FATAL_ERROR)
add_definitions(-DPHONON_BUILD_WITH_CMAKE)

option(PHONON_ASSERT_STATES "Enable code to assert backend state transitions" ON)
option(PHONON_BUILD_EXPERIMENTAL "Build the experimental library" ON)
option(PHONON_BUILD_DEMOS "Build the demos" OFF)
option(PHONON_BUILD_DECLARATIVE_PLUGIN "Build the Qt Declarative (QML) plugin" OFF)
option(PHONON_BUILD_DESCRIPTOR "Builds and installs a library descriptor to be used for ABI checks" OFF)
option(PHONON_BUILD_DESIGNER_PLUGIN "Build the Qt Designer plugin" ON)
option(PHONON_BUILD_DOC "Build the API documentation" OFF)

option(PHONON_NO_CAPTURE "Disable the capture capabilities")
option(PHONON_NO_DBUS "Deactivate DBus support (used to expose AudioOutputs and for deprecated runtime backend switching)" OFF)

option(PHONON_BUILD_PHONON4QT5 "Build Phonon 4 transitional library for Qt5 (API compatible with regular Phonon4)" OFF)

# The following variables directly influence the library's soname version.
# It is highly advised to think twice before changing those.
# If you are unsure about the this: http://plan99.net/~mike/writing-shared-libraries.html
set(PHONON_LIB_MAJOR_VERSION "4") # Only change on binary incompatible changes
set(PHONON_LIB_MINOR_VERSION "7") # Only change on binary compatible changes with new interfaces
set(PHONON_LIB_PATCH_VERSION "1") # Bump whenever you feel like it :P
set(PHONON_LIB_VERSION "${PHONON_LIB_MAJOR_VERSION}.${PHONON_LIB_MINOR_VERSION}.${PHONON_LIB_PATCH_VERSION}")
set(PHONON_LIB_SOVERSION ${PHONON_LIB_MAJOR_VERSION})
set(PHONON_LIB_SONAME phonon)
set(PHONON_LIB_SONAME_CAMEL Phonon)

if(PHONON_BUILD_PHONON4QT5)
    set(PHONON_LIB_SONAME phonon4qt5)
    set(PHONON_LIB_SONAME_CAMEL Phonon4Qt5)
endif(PHONON_BUILD_PHONON4QT5)

if (PHONON_ASSERT_STATES)
    message(STATUS "Enabling backend state machine validation.")
    add_definitions(-DPHONON_ASSERT_STATES)
endif (PHONON_ASSERT_STATES)

set(PHONON_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

################################# Requirements #################################
# Core Requirements and CFlag Magic
include(cmake/FindPhononInternal.cmake)

# Internal is shared with backends, so continue specific finders here...
find_package(OpenGL)
macro_log_feature(OPENGL_FOUND "OpenGL" "" "" FALSE)

set(DBUS_DESC "Needed to enable control of AudioOutputs via DBus")
set(DESIGNER_DESC "Needed to build the Qt Designer plugin.")
set(GL_DESC "Only recommended when bulding the super experimental QML support.")
set(DECL_DESC "Only recommended when bulding the super experimental QML support.")

if (NOT PHONON_BUILD_PHONON4QT5) # Qt 4
    macro_log_feature(QT_QTDBUS_FOUND "Qt4 DBus" ${DBUS_DESC} "http://www.qt.gitorious.net/qt/qt" FALSE)
    macro_log_feature(QT_QTDESIGNER_FOUND "Qt4 Designer" ${DESIGNER_DESC} "http://www.qt.gitorious.net/qt/qt" FALSE)
    macro_log_feature(QT_QTOPENGL_FOUND "Qt4 OpenGL" ${GL_DESC} "http://www.qt.gitorious.net/qt/qt" FALSE)
    macro_log_feature(QT_QTDECLARATIVE_FOUND "Qt4 Declarative" ${DECL_DESC} "http://www.qt.gitorious.net/qt/qt" FALSE)
    set(PHONON_PKG_DEPENDENCIES "QtCore QtGui QtDBus")
else (NOT PHONON_BUILD_PHONON4QT5) # Qt 5
    # DBus Audio Output Introspection
    find_package(Qt5DBus)
    macro_log_feature(Qt5DBus_FOUND "Qt5 DBus (qtbase)" ${DBUS_DESC} "http://www.qt.gitorious.net/qt/qtbase" FALSE)
    set(QT_QTDBUS_FOUND ${Qt5DBus_FOUND})

    # Designer Plugin
    find_package(Qt5Designer)
    macro_log_feature(Qt5Designer_FOUND "Qt5 Designer (qttools)" ${DESIGNER_DESC} "http://www.qt.gitorious.net/qt/qttools" FALSE)
    set(QT_QTDESIGNER_FOUND ${Qt5Designer_FOUND})

    # VideoGraphicsObject GL Painting
    find_package(Qt5OpenGL)
    macro_log_feature(Qt5OpenGL_FOUND "Qt5 OpenGL (qtbase)" ${GL_DESC} "http://www.qt.gitorious.net/qt/qtbase" FALSE)
    set(QT_QTOPENGL_FOUND ${Qt5OpenGL_FOUND})

    # Declarative/QML1
    find_package(Qt5Declarative)
    macro_log_feature(Qt5Declarative_FOUND "Qt5 Declarative (qtquick1)" ${DECL_DESC} "http://www.qt.gitorious.net/qt/qtquick1" FALSE)
    set(QT_QTDECLARATIVE_FOUND ${Qt5Declarative_FOUND})

    set(PHONON_PKG_DEPENDENCIES "Qt5Core Qt5Gui Qt5DBus")
endif (NOT PHONON_BUILD_PHONON4QT5)
################################################################################

if(NOT PHONON_BUILD_DECLARATIVE_PLUGIN OR NOT QT_QTOPENGL_FOUND OR NOT OPENGL_FOUND OR NOT QT_QTDECLARATIVE_FOUND)
    set(PHONON_NO_GRAPHICSVIEW true)
else()
    set(PHONON_NO_GRAPHICSVIEW false)
endif()

add_definitions(${QT_DEFINITIONS})
remove_definitions(-DQT3_SUPPORT_WARNINGS -DQT3_SUPPORT)

include_directories(${QT_INCLUDES}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/includes
                    ${CMAKE_CURRENT_SOURCE_DIR}/phonon
                    ${CMAKE_CURRENT_BINARY_DIR}/phonon)

# Convenience variable to hold target link libraries we always need.
set(PHONON_LIBS ${PHONON_LIB_SONAME})

# helper macro to make the install paths absolute
macro(MAKE_ABS_INSTALL_PATH _absVar _path)
    if (IS_ABSOLUTE "${_path}")
        set(${_absVar} "${_path}")
    else()
        set(${_absVar} "${CMAKE_INSTALL_PREFIX}/${_path}")
    endif()
endmacro(MAKE_ABS_INSTALL_PATH)


set(BUILDSYSTEM_INSTALL_DIR ${SHARE_INSTALL_PREFIX}/${PHONON_LIB_SONAME}/buildsystem/)

include(GNUInstallDirs)

# Provide a cmake option, which, if set, force the Qt stuff to be installed into the
# system Qt directories, which may be outside CMAKE_INSTALL_PREFIX.
# By default always install inside CMAKE_INSTALL_PREFIX.
option(PHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT "Install Qt designer plugins, QML plugins and mkspecs into the system Qt install directory or not"
       FALSE)

if(PHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT)
    # in this case, the values have to be FORCED into the cache
    set(PHONON_QT_IMPORTS_INSTALL_DIR ${QT_IMPORTS_DIR} CACHE PATH "The directory where Phonon Qt imports (QML) will be installed to." FORCE)
    set(PHONON_QT_MKSPECS_INSTALL_DIR  ${QT_MKSPECS_DIR}/modules  CACHE PATH "The directory where Phonon mkspecs will be installed to." FORCE)
    set(PHONON_QT_PLUGIN_INSTALL_DIR   ${QT_PLUGINS_DIR}/designer CACHE PATH "The directory where Phonon Qt plugins will be installed to." FORCE)
else(PHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT)
    # in this case, the values can be adjusted by the user e.g. via cmake-gui, so no FORCE
    set(PHONON_QT_IMPORTS_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/qt5/imports CACHE PATH "The directory where Phonon Qt imports (QML) will be installed to.")
    set(PHONON_QT_MKSPECS_INSTALL_DIR  share/qt5/mkspecs/modules  CACHE PATH "The directory where Phonon mkspecs will be installed to.")
    set(PHONON_QT_PLUGIN_INSTALL_DIR   ${CMAKE_INSTALL_LIBDIR}/qt5/plugins/designer   CACHE PATH "The directory where Phonon Qt plugins will be installed to." )
endif(PHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT)


# Check whether the QML plugins will be installed into the system Qt dir, and warn if not:
make_abs_install_path(absImportsDir "${PHONON_QT_IMPORTS_INSTALL_DIR}")

if(NOT "${absImportsDir}" STREQUAL "${QT_IMPORTS_DIR}")
    message(STATUS "PHONON_QT_IMPORTS_DIR is set to ${absImportsDir}.
      The QML plugins for Phonon will not be installed into the Qt system installation directory,
      which is ${QT_IMPORTS_DIR} .
      This means the QML plugins file will not be found by default.
      You can:
       * switch the cmake option PHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT to TRUE
       * set PHONON_QT_IMPORTS_INSTALL_DIR manually to the system Qt location
       * at runtime, set the QML_IMPORT_PATH environment variable")
endif(NOT "${absImportsDir}" STREQUAL "${QT_IMPORTS_DIR}")


# Check whether the mkspecs file will be installed into the system Qt dir, and warn if not:
make_abs_install_path(absMkspecsDir "${PHONON_QT_MKSPECS_INSTALL_DIR}")

if(NOT "${absMkspecsDir}" STREQUAL "${QT_MKSPECS_DIR}/modules")
    message(STATUS "PHONON_QT_MKSPECS_INSTALL_DIR is set to ${absMkspecsDir}.
      The Qt mkspecs file for Phonon will not be installed into the Qt system installation directory,
      which is ${QT_MKSPECS_DIR}/modules .
      This means the qt_phonon.pri file will not be found by default.
      You can:
       * switch the cmake option PHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT to TRUE
       * set PHONON_QT_MKSPECS_INSTALL_DIR manually to the system Qt location
       * at runtime, with Qt >= 4.8, set the QMAKEPATH environment variable")
endif(NOT "${absMkspecsDir}" STREQUAL "${QT_MKSPECS_DIR}/modules")


# Check whether the designer plugins will be installed into the system Qt dir, and warn if not:
make_abs_install_path(absPluginDir "${PHONON_QT_PLUGIN_INSTALL_DIR}")

if(NOT "${absPluginDir}" STREQUAL "${QT_PLUGINS_DIR}/designer")
    message(STATUS "PHONON_QT_PLUGIN_INSTALL_DIR is set to ${absPluginDir}.
      The Qt designer plugins for Phonon will not be installed into the Qt system installation directory,
      which is ${QT_PLUGINS_DIR}/designer .
      This means the designer plugins file will not be found by default.
      You can:
       * switch the cmake option PHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT to TRUE
       * set PHONON_QT_PLUGINS_INSTALL_DIR manually to the system Qt location
       * at runtime, set the QT_PLUGIN_PATH environment variable")
endif(NOT "${absPluginDir}" STREQUAL "${QT_PLUGINS_DIR}/designer")



add_subdirectory(cmake)
if(QT_QTDESIGNER_FOUND AND PHONON_BUILD_DESIGNER_PLUGIN)
    add_subdirectory(designer)
endif(QT_QTDESIGNER_FOUND AND PHONON_BUILD_DESIGNER_PLUGIN)

if(NOT PHONON_NO_GRAPHICSVIEW)
    message(STATUS "Not building declarative plugin.")
    add_subdirectory(declarative)
endif()

if(PHONON_BUILD_DOC)
    add_subdirectory(doc)
endif(PHONON_BUILD_DOC)

add_subdirectory(phonon)
add_subdirectory(includes)

if(PHONON_BUILD_DEMOS)
    message(STATUS "Building demos.")
    #Allows find_package(Phonon) to not die in the demos
    set(PHONON_BUILDSYSTEM_DIR ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
    set(PHONON_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/includes/)
    set(PHONON_LIBRARY ${PHONON_LIB_SONAME})
    #Lets the demos find the headers
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/includes ${CMAKE_CURRENT_SOURCE_DIR})
    add_subdirectory(demos)
endif(PHONON_BUILD_DEMOS)

if(NOT WIN32) # pkgconfig file

    make_abs_install_path(ABS_LIB_INSTALL_DIR "${LIB_INSTALL_DIR}")
    make_abs_install_path(ABS_INCLUDE_INSTALL_DIR "${INCLUDE_INSTALL_DIR}")
    make_abs_install_path(ABS_BUILDSYSTEM_INSTALL_DIR "${BUILDSYSTEM_INSTALL_DIR}")

    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/phonon.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME}.pc @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)

set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/${PHONON_LIB_SONAME} )

# figure out the relative path from the installed Config.cmake file to the install prefix (which may be at
# runtime different from the chosen CMAKE_INSTALL_PREFIX if under Windows the package was installed anywhere)
# This relative path will be configured into the PhononConfig.cmake
file(RELATIVE_PATH relInstallDir ${CMAKE_INSTALL_PREFIX}/${CMAKECONFIG_INSTALL_DIR} ${CMAKE_INSTALL_PREFIX} )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/PhononConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}Config.cmake @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/PhononConfigVersion.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}ConfigVersion.cmake @ONLY)


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}Config.cmake ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}ConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR} )

install(EXPORT PhononLibs DESTINATION ${CMAKECONFIG_INSTALL_DIR} NAMESPACE Phonon:: FILE PhononTargets.cmake )

if (NOT PHONON_BUILD_PHONON4QT5)

=== includes/CMakeLists.txt ===
install( FILES
    phonon/AbstractAudioOutput
    phonon/AbstractMediaStream
    phonon/AbstractVideoOutput
    phonon/AddonInterface
    phonon/AudioCaptureDevice
    phonon/AudioCaptureDeviceModel
    phonon/AudioChannelDescription
    phonon/AudioChannelDescriptionModel
    phonon/AudioDataOutput
    phonon/AudioOutput
    phonon/AudioOutputDevice
    phonon/AudioOutputDeviceModel
    phonon/AudioOutputInterface
    phonon/AudioOutputInterface40
    phonon/AudioOutputInterface42
    phonon/AvCapture
    phonon/BackendCapabilities
    phonon/BackendInterface
    phonon/Effect
    phonon/EffectDescription
    phonon/EffectDescriptionModel
    phonon/EffectInterface
    phonon/EffectParameter
    phonon/EffectWidget
    phonon/Global
    phonon/GlobalDescriptionContainer
    phonon/MediaController
    phonon/MediaNode
    phonon/MediaObject
    phonon/MediaObjectInterface
    phonon/MediaSource
    phonon/Mrl
    phonon/ObjectDescription
    phonon/ObjectDescriptionData
    phonon/ObjectDescriptionModel
    phonon/ObjectDescriptionModelData
    phonon/Path
    phonon/PlatformPlugin
    phonon/SeekSlider
    phonon/StreamInterface
    phonon/SubtitleDescription
    phonon/SubtitleDescriptionModel
    phonon/VideoCaptureDevice
    phonon/VideoCaptureDeviceModel
    phonon/VideoPlayer
    phonon/VideoWidget
    phonon/VideoWidgetInterface
    phonon/VideoWidgetInterface44
    phonon/VideoWidgetInterfaceLatest
    phonon/VolumeFaderEffect
    phonon/VolumeFaderInterface
    phonon/VolumeSlider
DESTINATION ${INCLUDE_INSTALL_DIR}/phonon COMPONENT Devel)


install( FILES
  old/Phonon/AbstractAudioOutput
  old/Phonon/AbstractMediaStream
  old/Phonon/AbstractVideoOutput
  old/Phonon/AddonInterface
  old/Phonon/AudioDevice
  old/Phonon/AudioDeviceEnumerator
  old/Phonon/AudioOutput
  old/Phonon/AudioOutputDevice
  old/Phonon/AudioOutputDeviceModel
  old/Phonon/AudioOutputInterface
  old/Phonon/BackendCapabilities
  old/Phonon/BackendInterface
  old/Phonon/Effect
  old/Phonon/EffectDescription
  old/Phonon/EffectDescriptionModel
  old/Phonon/EffectInterface
  old/Phonon/EffectParameter
  old/Phonon/EffectWidget
  old/Phonon/Global
  old/Phonon/MediaController
  old/Phonon/MediaNode
  old/Phonon/MediaObject
  old/Phonon/MediaObjectInterface
  old/Phonon/MediaSource
  old/Phonon/ObjectDescription
  old/Phonon/ObjectDescriptionModel
  old/Phonon/Path
  old/Phonon/PlatformPlugin
  old/Phonon/SeekSlider
  old/Phonon/StreamInterface
  old/Phonon/VideoPlayer
  old/Phonon/VideoWidget
  old/Phonon/VideoWidgetInterface
  old/Phonon/VolumeFaderEffect
  old/Phonon/VolumeFaderInterface
  old/Phonon/VolumeSlider
DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/Phonon COMPONENT Devel)

if (PHONON_BUILD_EXPERIMENTAL)
    install(FILES
        old/Phonon/Experimental/AbstractVideoDataOutput
        old/Phonon/Experimental/AudioDataOutput
        old/Phonon/Experimental/SnapshotInterface
        old/Phonon/Experimental/VideoDataOutput
        old/Phonon/Experimental/VideoDataOutputInterface
        old/Phonon/Experimental/VideoFrame
        old/Phonon/Experimental/VideoFrame2
        old/Phonon/Experimental/Visualization
    DESTINATION ${INCLUDE_INSTALL_DIR}/KDE/Phonon/Experimental COMPONENT Devel)
endif (PHONON_BUILD_EXPERIMENTAL)

=== debian/changelog ===
phonon (4:4.7.1-0ubuntu8) trusty; urgency=medium

  * Fix install location of usr/include/phonon4qt5/KDE/

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 02 Apr 2014 13:05:09 +0000

phonon (4:4.7.1-0ubuntu7) trusty; urgency=medium

  * Change recommended backend to phonon-backend-gstreamer1.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Mar 2014 20:13:27 +0000

phonon (4:4.7.1-0ubuntu6) trusty; urgency=medium

  [ Scarlett Clark ]
  * Fix .pri install location.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Mar 2014 17:09:52 +0000

phonon (4:4.7.1-0ubuntu5) trusty; urgency=medium

  [ Timo Jyrinki ]
  * Rebuild against Qt 5.2.1
  * Use the new mkspecs location

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 10 Mar 2014 07:18:59 +0000

phonon (4:4.7.1-0ubuntu4) trusty; urgency=medium

  * Fix install of qt_phonon4qt5.pri

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Feb 2014 15:55:59 +0000

phonon (4:4.7.1-0ubuntu3) trusty; urgency=medium

  * Fix paths in libphonon4qt5-dev.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Feb 2014 17:39:47 +0000

phonon (4:4.7.1-0ubuntu2) trusty; urgency=medium

  * Fix paths in libphonon4qt5-dev.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 30 Jan 2014 10:39:05 +0000

phonon (4:4.7.1-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Do not suggest phonon-backend-mplayer which no longer exists
  * Do second build for phonon4qt5 and duplicate packages and debconf setup for it

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 06 Dec 2013 12:32:48 +0000

phonon (4:4.7.0.0-2ubuntu3) trusty; urgency=low

  * Third time's the charm: suggest phonon-backend-vlc to
    compliment the previous phonon-backend-gstreamer change.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 23 Nov 2013 22:06:30 -0700

phonon (4:4.7.0.0-2ubuntu2) trusty; urgency=low

  * Actually change default backend to phonon-backend-gstreamer.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 24 Nov 2013 04:53:10 +0000

phonon (4:4.7.0.0-2ubuntu1) trusty; urgency=low

  * Rebase on to debian, remaining changes:
    - Drop universe dependency libqzeitgeist-dev.
    - Change default backend to phonon-backend-gstreamer.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 24 Nov 2013 02:51:02 +0000

phonon (4:4.7.0.0-2) unstable; urgency=low

  * Confirm symbol file on arm*: fixes FTBFSes.

 -- Modestas Vainius <modax@debian.org>  Tue, 05 Nov 2013 19:39:46 +0200

phonon (4:4.7.0.0-1) unstable; urgency=low

  * New upstream release (4.7.0).
  * Adapt no_rpath.patch to upstream changes.
  * Refresh phonon-inc.patch.
  * Update install files.
  * Update symbol files.
  * Drop phonon-backend-xine transitional package. No longer needed since it
    has already been released with Wheezy.
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Use canonical Vcs URLs.
  * No longer explicitly pass multiarch LIB_SUFFIX to cmake. Phonon gets the
    multiarch libdir from cmake (as of cmake 2.8.7).

 -- Modestas Vainius <modax@debian.org>  Tue, 05 Nov 2013 13:04:32 +0200

=== debian/control ===
Source: phonon
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: automoc,
               cmake (>= 2.8.7),
               debhelper (>= 8.1.3~),
               dpkg-dev (>= 1.15.5),
               libglib2.0-dev,
               libpulse-dev (>= 0.9.21),
               libqt4-dev (>= 4:4.8.1),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
               qtscript5-dev,
               qttools5-dev,
               libqt5opengl5-dev
Standards-Version: 3.9.5
Homepage: http://phonon.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-req/phonon.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-req/phonon.git

Package: phonon
Architecture: any
Multi-Arch: same
Depends: libphonon4 (>= ${source:Version}),
         ${misc:Depends},
         ${phonon:Recommended-Backend} | phonon-backend
Suggests: phonon-backend-vlc,
          ${phonon:Recommended-Backend}
Breaks: phonon-backend-xine (<< 4:4.6.0.0)
Description: multimedia framework from KDE - metapackage
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This metapackage ensures that the system has a working Phonon configuration
 installed (the core library and at least one back-end).

Package: libphonon-dev
Architecture: any
Section: libdevel
Depends: libphonon4 (= ${binary:Version}),
         phonon-backend-null | phonon,
         ${misc:Depends},
         ${sameVersionDep:libqt4-dev:libphonon4},
         ${shlibs:Depends}
Description: multimedia framework from KDE - development files
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Qt 4 applications
 using the Phonon cross-platform multimedia framework.

Package: libphonon4
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: phonon-backend-xine (<< 4:4.6.0really4.3.80)
Description: multimedia framework from KDE - core library
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the core library of the Phonon cross-platform multimedia
 framework from KDE. It is required to run applications that use Phonon.

Package: libphononexperimental-dev
Architecture: any
Section: libdevel
Depends: libphononexperimental4 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:libqt4-dev:libphononexperimental4}
Replaces: libphonon-dev (<< 4:4.6.0really4.4.4)
Breaks: libphonon-dev (<< 4:4.6.0really4.4.4)
Description: multimedia framework from KDE - experimental development files
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Phonon back-ends
 or internal applications which need the Phonon-Experimental library.
 Third-party applications should not depend on this library. Please read
 README.Debian if you are considering a build-dependency on this package.

Package: libphononexperimental4
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: phononexperimental-abi-1
Replaces: libphonon4 (<< 4:4.6.0really4.3.80)
Breaks: libphonon4 (<< 4:4.6.0really4.3.80)
Description: multimedia framework from KDE - experimental library (internal)
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the Phonon-Experimental library, which might be needed
 by Phonon back-ends or other internal applications. Third-party applications
 should not depend on this library. Please read README.Debian before using this
 library.

Package: phonon-backend-null
Architecture: any
Multi-Arch: same
Provides: phonon-backend
Depends: libphonon4, ${misc:Depends}
Conflicts: phonon-backend
Description: multimedia framework from KDE - null back-end (no real back-end)
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package does not provide any real Phonon back-end. It can be used to
 disable Phonon audio/video capabilities. Please note that Phonon behavior
 with this package installed has not been well tested.

### Phonon Qt 5

Package: phonon4qt5
Architecture: any
Multi-Arch: same
Depends: libphonon4qt5-4 (>= ${source:Version}),
         ${misc:Depends},
         ${phonon:Recommended-Backend-qt5} | phonon4qt5-backend
Suggests: phonon4qt5-backend-vlc,
          ${phonon:Recommended-Backend-qt5}
Description: multimedia framework from KF5 - metapackage
 Phonon is the Qt multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This metapackage ensures that the system has a working Phonon configuration
 installed (the core library and at least one back-end).
 .
 This package is for the version compiled for Qt 5.

Package: libphonon4qt5-dev
Architecture: any
Section: libdevel
Depends: libphonon4qt5-4 (= ${binary:Version}),
         phonon4qt5-backend-null | phonon4qt5,
         ${misc:Depends},
         ${sameVersionDep:qtbase5-dev:libphonon4qt5-4},
         ${shlibs:Depends}
Description: multimedia framework from KF5 - development files
 Phonon is the Qt multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Qt applications
 using the Phonon cross-platform multimedia framework.
 .
 This package is for the version compiled for Qt 5.

Package: libphonon4qt5-4
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: multimedia framework from KF5 - core library
 Phonon is the Qt multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the core library of the Phonon cross-platform multimedia
 framework from KDE. It is required to run applications that use Phonon.
 .
 This package is for the version compiled for Qt 5.

Package: libphonon4qt5experimental-dev
Architecture: any
Section: libdevel
Depends: libphonon4qt5experimental4 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:qtbase5-dev:libphonon4qt5experimental4}
Description: multimedia framework from KF5 - experimental development files
 Phonon is the Qt multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Phonon back-ends
 or internal applications which need the Phonon-Experimental library.
 Third-party applications should not depend on this library. Please read
 README.Debian if you are considering a build-dependency on this package.
 .
 This package is for the version compiled for Qt 5.

Package: libphonon4qt5experimental4
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: phononexperimental-abi-qt5-1
Description: multimedia framework from KF5 - experimental library (internal)
 Phonon is the Qt multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the Phonon-Experimental library, which might be needed
 by Phonon back-ends or other internal applications. Third-party applications
 should not depend on this library. Please read README.Debian before using this
 library.
 .
 This package is for the version compiled for Qt 5.

Package: phonon4qt5-backend-null
Architecture: any
Multi-Arch: same
Provides: phonon4qt5-backend
Depends: libphonon4qt5-4, ${misc:Depends}
Description: multimedia framework from KF5 - null back-end (no real back-end)
 Phonon is the Qt multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package does not provide any real Phonon back-end. It can be used to
 disable Phonon audio/video capabilities. Please note that Phonon behavior
 with this package installed has not been well tested.
 .
 This package is for the version compiled for Qt 5.

Package: phonon-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: libphonon4 (= ${binary:Version}), ${misc:Depends}
Suggests: libphononexperimental4 (= ${binary:Version}), libphonon4qt5-4 (= ${binary:Version}),
          libphonon4qt5experimental4 (= ${binary:Version})
Description: multimedia framework from KDE - debugging symbols
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains debugging symbols for the Phonon library and its main
 back-ends. Install it if you want to report a crash or debug a problem with
 Phonon or its back-ends.

=== debian/rules ===
#!/usr/bin/make -f

dh = --dbg-package=phonon-dbg

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

# Enable strict interdependencies
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

RECOMMENDED_PHONON_BACKEND := phonon-backend-gstreamer1.0
RECOMMENDED_PHONON4QT5_BACKEND := phonon4qt5-backend-gstreamer

override_dh_auto_configure:
	$(overridden_command) -- -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=ON
	$(overridden_command) -Bbuild-phonon-qt5 -- -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=ON -DPHONON_BUILD_PHONON4QT5=ON

override_dh_auto_build:
	$(overridden_command)
	cd build-phonon-qt5; $(overridden_command); cd ..

override_dh_auto_install:
	$(overridden_command)
	mkdir -p debian/tmp-phonon-qt5
	cd build-phonon-qt5; DESTDIR=$(CURDIR)/debian/tmp-phonon-qt5 make install; cd ..

	# libphonon4qt5
	mkdir -p debian/libphonon4qt5-4/usr/lib/$(DEB_BUILD_MULTIARCH)/
	cp -a debian/tmp-phonon-qt5/usr/lib/$(DEB_BUILD_MULTIARCH)/libphonon4qt5.so.4   debian/libphonon4qt5-4/usr/lib/$(DEB_BUILD_MULTIARCH)/
	cp -a debian/tmp-phonon-qt5/usr/lib/$(DEB_BUILD_MULTIARCH)/libphonon4qt5.so.4.* debian/libphonon4qt5-4/usr/lib/$(DEB_BUILD_MULTIARCH)/

	# libphonon4qt5-dev
	mkdir -p debian/libphonon4qt5-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake/phonon4qt5/
	cp -a debian/tmp-phonon-qt5/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake/phonon4qt5/Phonon4Qt5Config.cmake debian/libphonon4qt5-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake/phonon4qt5/
	cp -a debian/tmp-phonon-qt5/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake/phonon4qt5/Phonon4Qt5ConfigVersion.cmake debian/libphonon4qt5-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake/phonon4qt5/
	cp -a debian/tmp-phonon-qt5/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake/phonon4qt5/PhononTargets-debian.cmake debian/libphonon4qt5-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake/phonon4qt5/
	cp -a debian/tmp-phonon-qt5/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake/phonon4qt5/PhononTargets.cmake debian/libphonon4qt5-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake/phonon4qt5/
	cp -a debian/tmp-phonon-qt5/usr/lib/$(DEB_BUILD_MULTIARCH)/libphonon4qt5.so debian/libphonon4qt5-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/
	mkdir -p debian/libphonon4qt5-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/pkgconfig/
	cp -a debian/tmp-phonon-qt5/usr/lib/$(DEB_BUILD_MULTIARCH)/pkgconfig/phonon4qt5.pc debian/libphonon4qt5-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/pkgconfig/
	mkdir -p debian/libphonon4qt5-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/mkspecs/modules/
	cp -a debian/tmp-phonon-qt5/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/mkspecs/modules/qt_phonon4qt5.pri debian/libphonon4qt5-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/mkspecs/modules/qt_phonon4qt5.pri
	mkdir -p debian/libphonon4qt5-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/plugins/designer/
	cp -a debian/tmp-phonon-qt5/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/plugins/designer/libphononwidgets.so debian/libphonon4qt5-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/plugins/designer/

	# libphonon4qt5experimental4
	mkdir -p debian/libphonon4qt5experimental4/usr/lib/$(DEB_BUILD_MULTIARCH)/
	cp -a debian/tmp-phonon-qt5/usr/lib/$(DEB_BUILD_MULTIARCH)/libphonon4qt5experimental.so.4   debian/libphonon4qt5experimental4/usr/lib/$(DEB_BUILD_MULTIARCH)/
	cp -a debian/tmp-phonon-qt5/usr/lib/$(DEB_BUILD_MULTIARCH)/libphonon4qt5experimental.so.4.* debian/libphonon4qt5experimental4/usr/lib/$(DEB_BUILD_MULTIARCH)/

	# libphonon4qt5experimental-dev
	mkdir -p debian/libphonon4qt5experimental-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/
	cp -a debian/tmp-phonon-qt5/usr/lib/*/libphonon4qt5experimental.so debian/libphonon4qt5experimental-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/

override_dh_auto_clean:
	rm -rf build-phonon-qt5 debian/tmp-phonon-qt5
	$(overridden_command)

# shlibs is needed for library-packages.mk (strict shlibs) to work
override_dh_makeshlibs:
	$(overridden_command) -plibphonon4 -V'libphonon4 (>= $(dqk_upstream_version)), phonon'
	$(overridden_command) -V --remaining-packages

override_dh_shlibdeps:
	$(overridden_command) -- -xphonon

override_dh_gencontrol:
	# Expand some variables in maintainer scripts and debconf templates
	@for f in debian/*/DEBIAN/post* \
	          debian/*/DEBIAN/pre* \
	          debian/*/DEBIAN/config \
	          debian/*/DEBIAN/templates; do \
	    if [ -f "$$f" ]; then \
	        cmd="awk -f debian/expand_vars.awk -v recommended_backend='$(RECOMMENDED_PHONON_BACKEND)' -- $$f > $$f.tmp && cat $$f.tmp >| $$f && rm -f $$f.tmp"; \
	        echo "$$cmd"; eval "$$cmd"; \
	    fi; \
	    if [ -f "$$f" ]; then \
	        cmd="awk -f debian/expand4qt5_vars.awk -v recommended4qt5_backend='$(RECOMMENDED_PHONON4QT5_BACKEND)' -- $$f > $$f.tmp && cat $$f.tmp >| $$f && rm -f $$f.tmp"; \
	        echo "$$cmd"; eval "$$cmd"; \
	    fi; \
	done
	if [ -d debian/phonon-backend-null ]; then \
	    sed -i 's/\$${recommended_backend}/$(RECOMMENDED_PHONON_BACKEND)/g' \
	        debian/phonon-backend-null/usr/share/doc/phonon-backend-null/README.Debian; \
	fi
	if [ -d debian/phonon4qt5-backend-null ]; then \
	    sed -i 's/\$${recommended4qt5_backend}/$(RECOMMENDED_PHONON4QT5_BACKEND)/g' \
	        debian/phonon4qt5-backend-null/usr/share/doc/phonon4qt5-backend-null/README.Debian; \
	fi
	$(overridden_command) -- -Vphonon:Recommended-Backend=$(RECOMMENDED_PHONON_BACKEND) -Vphonon:Recommended-Backend-qt5=$(RECOMMENDED_PHONON_BACKEND)

=== debian/watch ===
version=3

opts=uversionmangle=s/^/4.6.0really/ \
ftp://ftp.kde.org/pub/kde/stable/phonon/([\d.]+)/src/ phonon-([\d.]+).tar.(?:bz2|xz)

## phonon 4.7.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # If you are unsure about the this: http://plan99.net/~mike/writing-shared-libraries.html
 set(PHONON_LIB_MAJOR_VERSION "4") # Only change on binary incompatible changes
 set(PHONON_LIB_MINOR_VERSION "7") # Only change on binary compatible changes with new interfaces
-set(PHONON_LIB_PATCH_VERSION "1") # Bump whenever you feel like it :P
+set(PHONON_LIB_PATCH_VERSION "80") # Bump whenever you feel like it :P
 set(PHONON_LIB_VERSION "${PHONON_LIB_MAJOR_VERSION}.${PHONON_LIB_MINOR_VERSION}.${PHONON_LIB_PATCH_VERSION}")
 set(PHONON_LIB_SOVERSION ${PHONON_LIB_MAJOR_VERSION})
 set(PHONON_LIB_SONAME phonon)
@@ -129,9 +129,18 @@
     set(PHONON_QT_PLUGIN_INSTALL_DIR   ${QT_PLUGINS_DIR}/designer CACHE PATH "The directory where Phonon Qt plugins will be installed to." FORCE)
 else(PHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT)
     # in this case, the values can be adjusted by the user e.g. via cmake-gui, so no FORCE
-    set(PHONON_QT_IMPORTS_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/qt5/imports CACHE PATH "The directory where Phonon Qt imports (QML) will be installed to.")
-    set(PHONON_QT_MKSPECS_INSTALL_DIR  share/qt5/mkspecs/modules  CACHE PATH "The directory where Phonon mkspecs will be installed to.")
-    set(PHONON_QT_PLUGIN_INSTALL_DIR   ${CMAKE_INSTALL_LIBDIR}/qt5/plugins/designer   CACHE PATH "The directory where Phonon Qt plugins will be installed to." )
+
+    # Please do note that these paths are most likely random nonensense depending on what OS and distribution is used, they most likely
+    # need manual adjustment for the actual envrionment.
+    if(PHONON_BUILD_PHONON4QT5)
+        set(PHONON_QT_IMPORTS_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/qt5/imports CACHE PATH "The directory where Phonon Qt imports (QML) will be installed to.")
+        set(PHONON_QT_MKSPECS_INSTALL_DIR  share/qt5/mkspecs/modules  CACHE PATH "The directory where Phonon mkspecs will be installed to.")
+        set(PHONON_QT_PLUGIN_INSTALL_DIR   ${CMAKE_INSTALL_LIBDIR}/qt5/plugins/designer   CACHE PATH "The directory where Phonon Qt plugins will be installed to." )
+    else()
+        set(PHONON_QT_IMPORTS_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/qt4/imports CACHE PATH "The directory where Phonon Qt imports (QML) will be installed to.")
+        set(PHONON_QT_MKSPECS_INSTALL_DIR  share/qt4/mkspecs/modules  CACHE PATH "The directory where Phonon mkspecs will be installed to.")
+        set(PHONON_QT_PLUGIN_INSTALL_DIR   ${CMAKE_INSTALL_LIBDIR}/qt4/plugins/designer   CACHE PATH "The directory where Phonon Qt plugins will be installed to." )
+    endif()
 endif(PHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT)
 
 
@@ -224,15 +233,3 @@
 # figure out the relative path from the installed Config.cmake file to the install prefix (which may be at
 # runtime different from the chosen CMAKE_INSTALL_PREFIX if under Windows the package was installed anywhere)
 # This relative path will be configured into the PhononConfig.cmake
-file(RELATIVE_PATH relInstallDir ${CMAKE_INSTALL_PREFIX}/${CMAKECONFIG_INSTALL_DIR} ${CMAKE_INSTALL_PREFIX} )
-
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/PhononConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}Config.cmake @ONLY)
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/PhononConfigVersion.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}ConfigVersion.cmake @ONLY)
-
-
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}Config.cmake ${CMAKE_CURRENT_BINARY_DIR}/${PHONON_LIB_SONAME_CAMEL}ConfigVersion.cmake
-        DESTINATION ${CMAKECONFIG_INSTALL_DIR} )
-
-install(EXPORT PhononLibs DESTINATION ${CMAKECONFIG_INSTALL_DIR} NAMESPACE Phonon:: FILE PhononTargets.cmake )
-
-if (NOT PHONON_BUILD_PHONON4QT5)

=== cmake/CMakeLists.txt ===
install(FILES cmake_uninstall.cmake.in
              COPYING-CMAKE-SCRIPTS
              FindAutomoc4.cmake
              FindPackageHandleStandardArgs.cmake
              FindPhononInternal.cmake
              MacroEnsureVersion.cmake
              MacroLogFeature.cmake
              MacroOptionalFindPackage.cmake
              MacroPushRequiredVars.cmake
              PhononMacros.cmake
        DESTINATION ${BUILDSYSTEM_INSTALL_DIR})

=== doc/CMakeLists.txt ===
set(PHONON_LOGO_PATH ${CMAKE_CURRENT_SOURCE_DIR}/phonon-logo.png)
set(PHONON_DOXYGEN_OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR})

set(PHONON_BUILD_DOC_QCH "yes")
set(PHONON_DOXYGEN_QHP_NAMESPACE "org.kde.phonon.${PHONON_LIB_VERSION}")

set(PHONON_DOXYGEN_SRCS
    ${PHONON_SOURCE_DIR}/Mainpage.dox
    ${PHONON_SOURCE_DIR}/doc/Backend.dox
    ${PHONON_SOURCE_DIR}/doc/Phonon4Qt5.dox
    ${PHONON_SOURCE_DIR}/phonon
)
string(REGEX REPLACE ";" " " PHONON_DOXYGEN_SRCS "${PHONON_DOXYGEN_SRCS}")

set(PHONON_DOXYGEN_EXCLUDE
    ${PHONON_SOURCE_DIR}/phonon/backend
    ${PHONON_SOURCE_DIR}/phonon/experimental
)
string(REGEX REPLACE ";" " " PHONON_DOXYGEN_EXCLUDE "${PHONON_DOXYGEN_EXCLUDE}")


configure_file(Doxyfile.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

add_custom_target("html" ALL
    doxygen ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

add_custom_target("qch" ALL DEPENDS "html")

add_custom_target("doc" ALL DEPENDS "html" "qch")

INSTALL(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html/" DESTINATION "${SHARE_INSTALL_PREFIX}/libphonon/" )

=== phonon/experimental/CMakeLists.txt ===
########### libphononexperimental ###############
set(phononexperimental_LIB_SRCS
    abstractaudiodataoutput.cpp
    abstractvideodataoutput.cpp
    audiodataoutput.cpp
    audioformat.cpp
    avcapture.cpp
    backendcapabilities.cpp
    factory.cpp
    globalconfig.cpp
    mediasource.cpp
    objectdescription.cpp
    packet.cpp
    packetpool.cpp
    videodataoutput.cpp
    videodataoutput2.cpp
    videowidget.cpp
    visualization.cpp
    ../abstractaudiooutput_p.cpp
    ../abstractvideooutput_p.cpp
   )
automoc4_add_library(${PHONON_LIB_SONAME}experimental SHARED ${phononexperimental_LIB_SRCS})
qt5_use_modules(${PHONON_LIB_SONAME}experimental Core Widgets)
target_link_libraries(${PHONON_LIB_SONAME}experimental ${PHONON_LIBS})
set_target_properties(${PHONON_LIB_SONAME}experimental PROPERTIES
                                         VERSION ${PHONON_LIB_VERSION}
                                         SOVERSION ${PHONON_LIB_SOVERSION}
                                         DEFINE_SYMBOL MAKE_PHONONEXPERIMENTAL_LIB
                                         LINK_INTERFACE_LIBRARIES ""
                                         )
install(TARGETS ${PHONON_LIB_SONAME}experimental EXPORT PhononLibs ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install headers ###############
install(FILES
    abstractaudiodataoutput.h
    abstractvideodataoutput.h
    audiodataoutput.h
    audiodataoutputinterface.h
    audioformat.h
    avcapture.h
    avcaptureinterface.h
    backendcapabilities.h
    backendinterface.h
    export.h
    mediasource.h
    objectdescription.h
    snapshotinterface.h
    packet.h
    packetpool.h
    phononnamespace.h
    videodataoutput.h
    videodataoutput2.h
    videodataoutputinterface.h
    videoframe.h
    videoframe2.h
    videowidget.h
    visualization.h
    globalconfig.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/phonon/experimental COMPONENT Devel)

=== debian/changelog ===
phonon (4:4.7.80-0ubuntu2) utopic; urgency=medium

  * Use phonon-backend-gstreamer instead of phonon-backend-gstreamer1.0
    for dependencies and recommendations.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Sep 2014 14:24:01 +0200

phonon (4:4.7.80-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Aug 2014 14:18:52 +0200

phonon (4:4.7.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Add missing symbols files for Qt5 libraries
  * Add explicit phonon4qt5 dependency to symbols files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 12:05:38 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
 include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk
 
-RECOMMENDED_PHONON_BACKEND := phonon-backend-gstreamer1.0
+RECOMMENDED_PHONON_BACKEND := phonon-backend-gstreamer
 RECOMMENDED_PHONON4QT5_BACKEND := phonon4qt5-backend-gstreamer
 
 override_dh_auto_configure:
